Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management.monitor
Interface MonitorMBean

All Known Subinterfaces:
  AMXCounterMonitor, AMXGaugeMonitor, AMXStringMonitor, CounterMonitorMBean, GaugeMonitorMBean, StringMonitorMBean

All Known Implementing Classes:
  CounterMonitor, GaugeMonitor, Monitor, StringMonitor

public interface MonitorMBean

Exposes the remote management interface of monitor MBeans.

Version:
  4.22 12/19/03
Author:
  Sun Microsystems, Inc

Method Summary
`void` | `addObservedObject(ObjectName object)` Adds the specified object in the set of observed MBeans.
`boolean` | `containsObservedObject(ObjectName object)` Tests whether the specified object is in the set of observed MBeans.
`long` | `getGranularityPeriod()` Gets the granularity period (in milliseconds).
`java.lang.String` | `getObservedAttribute()` Gets the attribute being observed.
`ObjectName` | `getObservedObject()` Deprecated. As of JMX 1.2, replaced by `getObservedObjects()`
`ObjectName[]` | `getObservedObjects()` Returns an array containing the objects being observed.
`boolean` | `isActive()` Tests if the monitor MBean is active.
`void` | `removeObservedObject(ObjectName object)` Removes the specified object from the set of observed MBeans.
`void` | `setGranularityPeriod(long period)` Sets the granularity period (in milliseconds).
`void` | `setObservedAttribute(java.lang.String attribute)` Sets the attribute to observe.
`void` | `setObservedObject(ObjectName object)` Deprecated. As of JMX 1.2, replaced by `addObservedObject(javax.management.ObjectName)`
`void` | `start()` Starts the monitor.
`void` | `stop()` Stops the monitor.

Method Detail

### start

    public void start()

  Starts the monitor.

### stop

    public void stop()

  Stops the monitor.

### addObservedObject

    public void addObservedObject(ObjectName object)
                           throws java.lang.IllegalArgumentException

  Adds the specified object in the set of observed MBeans.

  Parameters:
    `object` - The object to observe.
  Throws:
    `java.lang.IllegalArgumentException` - the specified object is null.
  Since:
    JMX 1.2

### removeObservedObject

    public void removeObservedObject(ObjectName object)

  Removes the specified object from the set of observed MBeans.

  Parameters:
    `object` - The object to remove.
  Since:
    JMX 1.2

### containsObservedObject

    public boolean containsObservedObject(ObjectName object)

  Tests whether the specified object is in the set of observed MBeans.

  Parameters:
    `object` - The object to check.
  Returns:
    `true` if the specified object is in the set, `false` otherwise.
  Since:
    JMX 1.2

### getObservedObjects

    public ObjectName[] getObservedObjects()

  Returns an array containing the objects being observed.

  Returns:
    The objects being observed.
  Since:
    JMX 1.2

### getObservedObject

    public ObjectName getObservedObject()

  Deprecated. As of JMX 1.2, replaced by `getObservedObjects()`

  Gets the object name of the object being observed.

  Returns:
    The object being observed.
  See Also:
    `setObservedObject(javax.management.ObjectName)`

### setObservedObject

    public void setObservedObject(ObjectName object)

  Deprecated. As of JMX 1.2, replaced by `addObservedObject(javax.management.ObjectName)`

  Sets the object to observe identified by its object name.

  Parameters:
    `object` - The object to observe.
  See Also:
    `getObservedObject()`

### getObservedAttribute

    public java.lang.String getObservedAttribute()

  Gets the attribute being observed.

  Returns:
    The attribute being observed.
  See Also:
    `setObservedAttribute(java.lang.String)`

### setObservedAttribute

    public void setObservedAttribute(java.lang.String attribute)

  Sets the attribute to observe.

  Parameters:
    `attribute` - The attribute to observe.
  See Also:
    `getObservedAttribute()`

### getGranularityPeriod

    public long getGranularityPeriod()

  Gets the granularity period (in milliseconds).

  Returns:
    The granularity period.
  See Also:
    `setGranularityPeriod(long)`

### setGranularityPeriod

    public void setGranularityPeriod(long period)
                              throws java.lang.IllegalArgumentException

  Sets the granularity period (in milliseconds).

  Parameters:
    `period` - The granularity period.
  Throws:
    `java.lang.IllegalArgumentException` - The granularity period is less than or equal to zero.
  See Also:
    `getGranularityPeriod()`

### isActive

    public boolean isActive()

  Tests if the monitor MBean is active. A monitor MBean is marked active when the `start` method is called. It becomes inactive when the `stop` method is called.

  Returns:
    `true` if the monitor MBean is active, `false` otherwise.

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.